# Generated by Django 2.2 on 2019-04-10 10:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Emoji',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('emoji', models.CharField(max_length=16, unique=True)),
                ('order', models.PositiveSmallIntegerField()),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'component'), (2, 'fully_qualified'), (3, 'minimally_qualified'), (4, 'unqualified')])),
            ],
            options={
                'ordering': ['order'],
            },
        ),
        migrations.CreateModel(
            name='EmojiImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(null=True, upload_to='')),
                ('order', models.PositiveSmallIntegerField()),
                ('emoji', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='glaxmoji.Emoji')),
            ],
            options={
                'ordering': ['order'],
            },
        ),
        migrations.CreateModel(
            name='ImageGenerator',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('api', models.CharField(max_length=16)),
                ('query_string', models.CharField(max_length=256)),
                ('image', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='generator', to='glaxmoji.EmojiImage')),
            ],
        ),
        migrations.CreateModel(
            name='EmojiGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
                ('order', models.PositiveSmallIntegerField()),
                ('parent', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='glaxmoji.EmojiGroup')),
            ],
            options={
                'ordering': ['order'],
            },
        ),
        migrations.AddField(
            model_name='emoji',
            name='group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='emoji', to='glaxmoji.EmojiGroup'),
        ),
    ]
